﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace RadTabControlExample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            ObservableCollection<DataItem> items = new ObservableCollection<DataItem>();
            items.Add(new DataItem("First", true));
            items.Add(new DataItem("Second", false));
            items.Add(new DataItem("Third", true));

            tabControl.ItemsSource = items;
        }

        private void tabControl_PreviewSelectionChanged(object sender, Telerik.Windows.Controls.SelectionChangedEventArgs e)
        {
            var tabItem = e.AddedItems[0] as DataItem;
            if (!tabItem.IsValid)
            {
                e.Handled = true;
            }
        }
    }

    public class DataItem
    {
        public DataItem(string name, bool isValid)
        {
            this.Name = name;
            this.IsValid = isValid;
        }

        public string Name { get; set; }
        public bool IsValid { get; set; }
    }
}
